Subject: bug#35899: 26.1; move-beginning-of-line sometimes does not move to beginning of line

From: Noam Postavsky <[email-masked]>
Date: Sun, 23 Jun 2019 12:31:56 -0400

Eli Zaretskii <[email-masked]> writes:
 
>> Hmm, something a bit funny here: M-x move-beginning-of-line and M-:
>> (move-beginning-of-line nil) go to the beginning of "def", but C-a
>> (which is bound to move-beginning-of-line) goes onto the image (same as
>> C-4 C-b).
>
> It doesn't go into the image, it stops at the first character covered
> by the display property.

Ah right, I misinterpreted the behaviour.

>> But neither of these behaviours seems to be "disregarding" the newlines
>> that the "image rests on", i.e., it's different from what happens
>> without the newlines:
>> 
>> (let ((img (create-image "splash.png")))
>>   (insert "abc")
>>   (insert-image img "foo bar baz")
>>   (insert "def"))
>
> I don't object to the proposed change of documentation, although I
> don't see how it makes the issue significantly more clear.  Point
> movement in the presence of images that conceal newlines is tricky to
> describe in any terms but those of how the display engine works.

Right, the proposed change just stops attempting to describe it at all
(and adds references to visual line movement, which solves the OP's
problem).